Subject: Re: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Mar 2016 19:50:57 +0300

> From: Óscar Fuentes <[email-masked]>
> Date: Sun, 27 Mar 2016 18:37:10 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Again, the question nobody dares to answer: is there a legit case where
> >> the user benefits from marking the buffer as modified after applying or
> >> changing text properties?
> >> 
> >> >From the lack of response so far, I guess that the answer is "no".
> >
> > This is the tail wagging the dog: we are not going to overturn a
> > long-standing way Emacs works with text properties for the sake of a
> > minor feature.
> 
> "minor" is your judgement.

You could try making a case for it not being minor, maybe you will be
able to convince.  For now, I don't see how it could be anything but
minor, or else we would have changed it long ago.

> And so far there is zero evidence that this change could cause
> undesired effects.

That's irrelevant.  It would be irresponsible for us to change such
basic aspects of Emacs operation at this point in Emacs history.  We
have been burnt with much less significant backward-incompatible
changes.

> > If you really want this feature to be accepted,
> 
> Sorry Eli, but as much as I appreciate your opinions, I'm not submitting
> the feature for *your* approval. You are not the only one that can
> approve (or reject) the patch (once we have one.)

I'm not the only one, but I'm one of those you need to convince.

> > please find a way of doing that without any such notable effects, i.e.
> > count changes in the text properties, if any, with the text changes.
> 
> You are decided to block a solution for this issue, just because. Got
> it.

That's a nasty, unfair way of putting things, and you know it.